
package org.mule.modules.amazon.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>SQSConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.amazon.SQSConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class SQSConnectorCapabilitiesAdapter
    extends org.mule.modules.amazon.SQSConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        if (capability == Capability.CONNECTION_MANAGEMENT_CAPABLE) {
            return true;
        }
        return false;
    }

}
